## ESelectionModelSimple

ESelectionModelSimple

## Functions

ESelectionModelSimple * | e_selection_model_simple_new ()
void | e_selection_model_simple_insert_rows ()
void | e_selection_model_simple_delete_rows ()
void | e_selection_model_simple_move_row ()
void | e_selection_model_simple_set_row_count ()

## Object Hierarchy

        GObject
        ╰── ESelectionModel
            ╰── ESelectionModelArray
                ╰── ESelectionModelSimple

## Description

## Functions

### e_selection_model_simple_new ()

    ESelectionModelSimple *
    e_selection_model_simple_new (void);

This routine creates a new ESelectionModelSimple.

#### Returns

The new ESelectionModelSimple.

### e_selection_model_simple_insert_rows ()

    void
    e_selection_model_simple_insert_rows (ESelectionModelSimple *selection,
                                          gint row,
                                          gint count);

### e_selection_model_simple_delete_rows ()

    void
    e_selection_model_simple_delete_rows (ESelectionModelSimple *selection,
                                          gint row,
                                          gint count);

### e_selection_model_simple_move_row ()

    void
    e_selection_model_simple_move_row (ESelectionModelSimple *selection,
                                       gint old_row,
                                       gint new_row);

### e_selection_model_simple_set_row_count ()

    void
    e_selection_model_simple_set_row_count
                                   (ESelectionModelSimple *selection,
                                    gint row_count);